# gdcm::ImageApplyLookupTable Class Reference

ImageApplyLookupTable class It applies the LUT the PixelData (only PALETTE_COLOR images) Output will be a PhotometricInterpretation=RGB image. More...

`#include <gdcmImageApplyLookupTable.h>`

Inheritance diagram for gdcm::ImageApplyLookupTable:
[legend]
Collaboration diagram for gdcm::ImageApplyLookupTable:
[legend]

List of all members.

## Public Member Functions
| ImageApplyLookupTable ()
| ~ImageApplyLookupTable ()
bool | Apply ()
| Apply.

## Detailed Description

ImageApplyLookupTable class It applies the LUT the PixelData (only PALETTE_COLOR images) Output will be a PhotometricInterpretation=RGB image.

## Constructor & Destructor Documentation

gdcm::ImageApplyLookupTable::ImageApplyLookupTable | ( |  | ) | `[inline]`

gdcm::ImageApplyLookupTable::~ImageApplyLookupTable | ( |  | ) | `[inline]`

## Member Function Documentation

bool gdcm::ImageApplyLookupTable::Apply | ( |  | ) |

Apply.

The documentation for this class was generated from the following file:

- gdcmImageApplyLookupTable.h